<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
$routes->get('/', 'Home::index');

// Auth Routes
$routes->get('auth/login', 'Auth::login');
$routes->post('auth/processLogin', 'Auth::processLogin');
$routes->get('auth/register', 'Auth::register');
$routes->post('auth/processRegister', 'Auth::processRegister');
$routes->get('auth/logout', 'Auth::logout');

// Dashboard Routes
$routes->get('dashboard', 'Dashboard::index');

// Module placeholder routes
$routes->get('flights', 'Flights::index');
$routes->get('hotels', 'Hotels::index');

// Checkout Routes
$routes->get('checkout', 'Checkout::index');
$routes->post('checkout/process', 'Checkout::process');
// Admin Routes
$routes->get('admin', 'Admin::index');

// Setup Database Route
$routes->get('setup', 'Setup::index');


$routes->get('admin/users', 'Admin::users');
$routes->get('admin/flights', 'Admin::flights');
$routes->get('admin/hotels', 'Admin::hotels');
$routes->post('admin/addFlight', 'Admin::addFlight');
